#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
# @Version     : Python 3.11.4
# @Software    : Sublime Text 4
# @Author      : StudentCWZ
# @Email       : StudentCWZ@outlook.com
# @Date        : 2023/10/29 12:01
# @File        : init_apispec.py
# @Description :
"""

from flask import Flask
from flask_apispec import FlaskApiSpec

# 初始化 flask-apispec
apispec = FlaskApiSpec()


def init_apispec(app: Flask) -> None:
    """
    Initialize the ApiSpec extension

    :param app: flask.Flask application instance
    :return: None
    """
    apispec.init_app(app)
